# NF-Code

![NF Code by Steve Gigou - A free proportional coding font with ligatures](showcases/illustrations/logo.png)

## Features

### Font design

NF Code is design around clarity and readability, even at small sizes.

Unless most coding fonts, it features:
* variable width,
* ligatures.

The font is still young, and it will improve over time.

### Weights

NF Code only features Regular weight at the moment, but more is planned!

- [x] Regular
- [ ] Bold ([#2](https://github.com/sgigou/NF-Code/issues/2))
- [ ] Italic ([#3](https://github.com/sgigou/NF-Code/issues/3))
- [ ] Bold italic ([#4](https://github.com/sgigou/NF-Code/issues/4))

### Ligatures

NF Code has some ligatures, dedicated to code readability.

Their purpose is to display real mathematical operators (≠, ≤, ≥…), group some characters together (//, ->…) or improve reading (#TODO, [WARN], [ERROR]…).

![Ligature example](showcases/illustrations/liga_example.png)

## Installation

The easiest way to get the last version is to get files from the [releases page](https://github.com/sgigou/NF-Pixels/releases).

You will find `ttf` and `otf` files in the [fonts directory](fonts/).

You may also take a look at the [sources folder](sources) to find the work files.

If you want some examples, you can go to the [showcases directory](showcases) to see the table of characters, and some real-life examples.

## Examples

### All chars

![All chars](showcases/all_chars.png)

### Ligatures

![Ligatures](showcases/ligatures.png)

### C++

![Ligatures](showcases/examples/cpp.png)

### HTML

![Ligatures](showcases/examples/html.png)

### PHP

![Ligatures](showcases/examples/php.png)

### Ruby

![Ligatures](showcases/examples/ruby.png)

### Swift

![Ligatures](showcases/examples/swift.png)

## License

This font is under [SIL Open Font License 1.1](LICENSE)


## Credits

* Steve Gigou ([Github](https://github.com/sgigou), [Website](https://steve.gigou.fr), [Twitter](https://twitter.com/stevegigou))

